Results 1 to 7 of 7

Thread: Ion cube etc

  1. #1
    Join Date
    Feb 2010
    Posts
    51

    Default Ion cube etc

    Hi everyone/anyone
    I apologize if I have posted this in the wrong area...I don't mean to be obtrusive.
    (I also just learned that you have to be logged in to do searches...I probably read that somewhere but forgot...so now I've been doing more hunting.)

    However;I am getting really frustrated.
    I am looking through hundreds of posts on installing open-realty; installation errors, PHP, IonCube, magic_quotes_gpc and I can't seem to find a consolidated set of instructions.

    I have seen a lot of impatience and callous redirects to read the installation manual, or read previous posts on the topic.

    I have spent a week just figuring out how to set magic_quotes_gpc to off; but only in one directory... I really can't install it in all of them, and I don't know which directories they are actually needed...is it just for the install???

    I am reading many posts on the topic (PHP, Bluehost, and a few others...) and there are apparently several things that need to be done that include installing IonCube, but I can't seem to get a clear answer as to where...or even if it makes a difference where.
    There are also some special settings in a php.ini file somewhere with zend extensions....
    Apparently there are also issues of what processor is on the web-server x86 or x86-64. I have already managed to figure out I need the linux version of one of the above.
    I also don't remember reading in the server requirements anything about IonCube
    Ability to make outbound connections from your server to HTTP (80) and HTTPS (443) Servers (Ports).
    PHP v5.2 or higher
    PHP GD Support or Imagemagik
    PHP Multibyte String Support
    PHP CURL support
    PHP OpenSSL support
    PHP Zip support
    PHP Short Tag support disabled
    PHP Magic Quotes off
    PHP ionCube Loader support
    MySQL 5 or higher
    Apache mod_rewrite (required for SEO Friendly URLs)
    Apache mod_expires (recommended)
    Apache mod_headers (recommended)

    Lastly, I have seen posts that support is better on transparent technologies. That may be true, but not an option for me as I have a 3 year commitment with register.com.
    (does anyone know of any other issues with register.com?)
    I did manage to find out today that register.com installed PHP as a CGI which according to them is what is allowing me to change magic_quotes_gpc to off in the first place.

    NOTE: I did not have the opportunity to check server requirements prior to installing 2.5.8 because I was already committed to register.com and didn't learn about open-realty until later. Previously I was using something called SOHO or Frontpage???? I forget...

    So Hey...can someone answer the questions about how to install open-realty php.ini, Ioncube, and anything else that I might have to install?
    or give me a link to a post or group of posts that does answer all the questions?

    Ever so grateful.

    Don

  2. #2
    the_sandking's Avatar
    the_sandking is offline hadron remnant - Moderation Fachmann
    Join Date
    Apr 2003
    Location
    Nullspace
    Posts
    5,289

    Default Re: Ion cube etc

    The installation and upgrade instructions are "consolidated" here:
    http://www.open-realty.org/docs/release/latest/

    Those docs don't include how to install server side items, because you can't install them, only your host can, and they should already be running them.

    You did not state the exact version of OR you are using/upgrading to. This is a requirement for posting here.

    The ionCube loader requirement is 5th from the bottom of the list you posted. Your host should have ionCube all setup and ready to go for you, most better hosts pre-install it. Have your host sign-off on all the rest of the requirements, they are requirements.

    If your host won't disable magic quotes for you account-wide, you need a better host. Ask for a refund. You can try to fight to work around inadequate hosting, but cheap over-shared hosting is not going to work very well if ever, and you are going to have continual problems if you do ever get it working.

    If the support you are able to obtain here in the forums is not to your liking or is insufficient, perhaps you should purchase a Pro license, that way you can get support direct from Transparent Tech.
    "Much of what looks like rudeness in hacker circles is not intended to give offense. Rather, it's the product of the direct, cut-through-the-BS communications style that is natural to people who are more concerned about solving problems than making others feel warm and fuzzy."

    "We gotta' go to the crappy town where I'm a hero!"
    -Hoban 'Wash' Washburne 2485-2519


    "When you’re born you get a ticket to the freak show. When you’re born in America, you get a front-row seat.."
    -George Carlin 1937-2008

    New to Open-Realty® and need help? Check the:
    -OR DOCUMENTATION -

    Important: Read this at least once in your lifetime
    How To Ask Questions The Smart Way

  3. #3
    Join Date
    Feb 2010
    Posts
    51

    Default Re: Ion cube etc

    Sorry;
    I am currently on 2.5.8 trying to upgrade to whatever is latest download.
    thanks for id phploader requirement...I didn't see it before even though I had read it a number of times. apologies.

    What are server side items? are those the things below the php list?
    Do you know if anyone is running open-realty on a register.com server or not?


    When I installed ioncube loader-wizard id did say ioncube was already loaded, but an older version and recommended I change lin_5.2.so...or something like that, which i did.

    It's not so much that its insufficient, but answers I see on the forum don't give me much confidence that they are answerable.
    I would gladly pay the $149.00 if I knew it would resolve my problem. You can understand my reluctance to pay $149 for someone to tell me I'm screwed.

    at this point, 2.5.8 is running...I don't know what will happen if I get partway through an install and brings my site down, then I have to struggle to try to figure out how to undo...was ioncube and magic_quotes an issue in 2.5.8...I remember having some instyall issues then...

    Can you guarantee that paid support will solve my problem? I'll give the CC info tonight...

    Lesson learned. I thought they were a good provider (register.com) when my commitment expires I will be moving.

    Thanks for your attention, I really appreciate it.
    don
    OH, one other thing...if it comes down to putting php.ini in every directory as register.com is telling me is necessary to ocverride magic_quotes_gpc...which directory(ies) is it needed?

  4. #4
    Join Date
    Feb 2010
    Posts
    51

    Default Re: Ion cube etc

    I guess I have their attention at register.com...they have me on hold....but they say they are looking in to it...??? whatever that means...but they did confirm that IonCube was already installed....I don't know if they mean at my root, or on the system...but i did get a message from the loader wizard that it was already installed.

    Is there anything i can 'suggest' to them? be nice...

  5. #5
    the_sandking's Avatar
    the_sandking is offline hadron remnant - Moderation Fachmann
    Join Date
    Apr 2003
    Location
    Nullspace
    Posts
    5,289

    Default Re: Ion cube etc

    You just need better hosting. Domain Registrars like slodaddy and register are not good hosts, they offer hosting just like the grocery store offers snacks in the checkout line for impulse sales. You can either take my word for it, or pay $149 to have TT tell you the same. Most people just install OR and it works out of the gate because their hosting is up to the task, and meets all its server requirements.

    The only thing I can guarantee you is that TT will provide you with support if you buy a license. I'm just someone who has been using OR since 2002 who volunteers their time in these forums so I cannot make promises on their behalf.
    "Much of what looks like rudeness in hacker circles is not intended to give offense. Rather, it's the product of the direct, cut-through-the-BS communications style that is natural to people who are more concerned about solving problems than making others feel warm and fuzzy."

    "We gotta' go to the crappy town where I'm a hero!"
    -Hoban 'Wash' Washburne 2485-2519


    "When you’re born you get a ticket to the freak show. When you’re born in America, you get a front-row seat.."
    -George Carlin 1937-2008

    New to Open-Realty® and need help? Check the:
    -OR DOCUMENTATION -

    Important: Read this at least once in your lifetime
    How To Ask Questions The Smart Way

  6. #6
    Join Date
    Feb 2010
    Posts
    51

    Default Re: Ion cube etc

    You seem to be right about their support...although they are quite cooperative, the bottom line is it still isn't right.
    They have told me IonCube is installed.
    they're telling me that phpinfo reports something like:
    by uploading a phpinfo file and locating this:

    This program makes use of the Zend Scripting Language Engine:
    Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies
    with the ionCube PHP Loader v3.3.20, Copyright (c) 2002-2010, by ionCube Ltd., and
    with Zend Optimizer v3.3.9, Copyright (c) 1998-2009, by Zend Technologies

    But the last two lines aren't present when I run phpinfo.

    they told me I have to add:
    {
    zend_extension="/usr/local/IonCube/ioncube_loader_lin_5.2.so"
    zend_extension="/usr/local/Zend/lib/Optimizer-3.3.9/php-5.2.x/ZendOptimizer.so"
    }
    to the php.ini file
    which I have done in every folder from root to open-realty/install

    I am a little suspicious...Isn't { and } something like comment markers? <!-- --> in html??

    Does TT support watch these posts? Can it be escalated to them?
    As I said, I am currently stuck with register for two more years.

  7. #7
    Join Date
    Feb 2010
    Posts
    51

    Default Re: Ion cube etc

    HOOORAAAYYY!!!!
    I was right...they appear to be comment markers. I removed them and open-realty has begun install.
    Now I need to figure out how to answer some of the questions.

    I am upgrading from 2.5.8, but apparently, it doesn't like that response be cause I am also moving the application from /install to /open-reatly/install.

    So I guess I have q little more reading to do.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •